
var app = getApp()
var that;
import moment from 'moment' // 时间库
import { _debounce } from '../../../utils/util'
Page({
  data: {
    date: app.globalData.month,
    showTissue: false,//显示部门组件
    TissueVal: '全公司',
    scroll_top: 0,
    page: 1,
    popupCx: '',
    list:[],
    dept_id:0,
    keyword:'',
    dept_ids:[],
  },
  onLoad(e) {
    that = this;
    dd.setNavigationBar({ title: "奖票统计" });
  },
  onShow() {
    if (that.data.page == 1) {
      that.getData();
    }
  },
  onReset() {
    this.setData({
      page: 1,
      isVal: false,
      keyword: ''
    })
    this.getData();
  },
  bindKeyInput:_debounce(function(e){
    this.setData({
      page: 1,
      isVal: e.detail.value ? true : false,
      keyword: e.detail.value ? e.detail.value : '',
    })
    this.getData();
  }),
    //选择时间
  openDate(e) {
      dd.datePicker({
        format: 'yyyy-MM',
        currentDate: that.data.date,
        success: (res) => {
          that.setData({
            page: 1,
            date: res.date,
            dateStr:moment(res.date).format('M'),
          })
          if (res.date) {
            that.getData();
          }
        },
      });
  },
  //显示部门选择组件
  selectTissue() {
    this.setData({ showTissue: !this.data.showTissue, popupCx: 'container__mask', })
  },
  //选择部门
  onConfirmTissue(data,ids) {
    if (data) {
      this.setData({ dept_ids: ids,dept_id: data.id, page: 1, TissueVal: data.name })
    }
    this.getData();
  },
  getData(is) {
    var data = {
      page: that.data.page,
      page_size: 20,
      keyword:that.data.keyword,
      dept_ids:that.data.dept_ids.toString(),
      month: that.data.date,
    }
    app.$get('api/integral/ticket/statistics',data).then((res) => {
      var data = res.data.data.list;
      if (is) {
        if (data.length == 0) {
          this.setData({
            isData: true
          })
          return;
        }
        var list = that.data.list;
        this.setData({
          list: list.concat(data)
        })
      } else {
        this.setData({ list: [] });
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(true);
    }
  },
  //打开兴趣
  openDetail(e) {
    var item = e.target.dataset.item;
    dd.navigateTo({
      url: '../myGrant/myGrant?item=' + JSON.stringify(item)+'&month='+this.data.date
    })
  },

  //关闭弹窗
  onClose() {
    this.setData({
      showTissue: false,
      popupCx: ''
    })
  },

});
