
var app = getApp()
var that;
import moment from 'moment' // 时间库
Page({
  data: {
    date: app.globalData.month,
    list: [],
    page: 1,
    month_total: 0,
    total: 0,
    tabIndex:1,
    employee_id:app.globalData.userData.id,
    dateStr:moment().format('M'),
  },
  onLoad(e) {
    that = this;
    if(e.item){
      let item=JSON.parse(e.item);
      dd.setNavigationBar({ title:item.name+"的奖票" });
      this.setData({
        employee_id:item.id,
        date:e.month,
        dateStr:moment(e.month).format('M'),
      })
    }else{
      dd.setNavigationBar({ title: "我的奖票" });
      this.setData({
        employee_id:app.globalData.userData.id,
      })
    }
    this.getDataAll();
  },
  onShow(){
    if(this.data.page==1){
      this.getData();
    }
  },
  tabActive(e){
    var index = e.target.dataset.index;//获取itemS集合中对应的files
    this.setData({
      tabIndex:index,
      page:1,
    })
    this.getData();
  },
  //选择时间
  openDate(e) {
    dd.datePicker({
      format: 'yyyy-MM',
      currentDate: that.data.date,
      success: (res) => {
        that.setData({
          date: res.date,
          dateStr:moment(res.date).format('M'),
        })
        if (res.date) {
          that.getData();
        }
      },
    });
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(true);
    }
  },
  getData(is) {
    var data = {
      page: this.data.page,
      page_size: 20,
      employee_id: this.data.employee_id,
    }
    if(this.data.tabIndex==2){
      // data.start_date='2010-01-01';
      // data.end_date=moment().format('YYYY-MM-DD');
    }else{
      data.month=this.data.date
    }
    app.$get('/api/integral/ticket', data,'application/vnd.test.v2+json').then((res) => {
      var data = res.data.data.list;
      data.forEach(item=>{
        item.dateStr= moment(item.date+'').format('YYYY-MM-DD')
      })
      var list = that.data.list;
      if(this.data.tabIndex==2){
        this.setData({
          total: res.data.data.total
        })
      }else{
        this.setData({
          month_total: res.data.data.total
        })
      }
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  getDataAll() {
    var data = {
      page: 1,
      page_size: 1,
      employee_id: this.data.employee_id,
      start_date: '2010-01-01',
      end_date:moment().format('YYYY-MM-DD'),
    }
    app.$get('/api/integral/ticket', data).then((res) => {
      this.setData({
        total: res.data.data.total,
      })
    })
  },
  //打开更多
  openDetail(e) {
    var item = e.target.dataset.item;
    dd.navigateTo({
      url: '../awardDetail/awardDetail?id=' + item.id
    })
  },
});
