
var app = getApp()
var that;
Page({
  data: {
    date: app.globalData.month,
    activeIndex: 1,
    page: 1,
    isFig: false,
    isAllChecked:false,
  },
  onLoad(e) {
    if (e.index) {
      this.setData({
        activeIndex: e.index,
      })
    }
    let config=app.globalData.config;
    this.setData({
      isFig: config.event_review_status==1&&config.event_apply_review==1
    })
    that = this;
    dd.setNavigationBar({ title: "我奖扣的" });
  },
  onShow() {
    if (app.globalData.userData) {
      if (that.data.page == 1) {
        dd.hideLoading();
        that.getData(that.data.activeIndex);
      }
    } else {
      app.login(app.globalData.corpId, function (is) {
        if (is) {
          if (that.data.page == 1) {
            dd.hideLoading();
            that.getData(that.data.activeIndex);
          }
        } else {
          dd.reLaunch({
            url: '../../noJurisdiction/noJurisdiction'
          })
        }
      }, function () { })
    }
  },
  ruleActiveAll(e){
    this.setData({page: 1, list: [],isAllChecked:e.detail.value })
    this.getData(that.data.activeIndex);
  },
  onReset() {
    this.setData({
      keyword: '',
      isVal: false,
      page: 1,
    })
    this.getData(that.data.activeIndex);
  },
  bindKeyInput(e) {
    this.setData({
      keyword: e.detail.value,
      isVal: e.detail.value ? true : false,
      page: 1,
    })
    this.getData(that.data.activeIndex);
  },
  getData(index, is) {
    var urlS = ['api/integral/statistics/integral', 'api/integral/review/entry/list', 'api/integral/review/entry/list','api/integral/statistics/integral'];
    var data;
    if (index == 1) {
      data = {
        page: that.data.page,
        page_size: 20,
        recorder_id: app.globalData.userData.id,
        source_type: 1,
        keyword: that.data.keyword,
        // order_key:'update_time'
      }
    } else if (index == 2) {
      data = {
        page: that.data.page,
        page_size: 20,
        type: 'waiting',
        pt_id: 0,
        keyword: that.data.keyword
      }
    } else if (index == 3){
      data = {
        page: that.data.page,
        page_size: 20,
        type: 'refuse',
        pt_id: 0,
        keyword: that.data.keyword
      }
    }else{
      data = {
        page: that.data.page,
        page_size: 20,
        recorder_id: app.globalData.userData.id,
        source_type: 1,
        keyword: that.data.keyword,
        dc_status:that.data.isAllChecked? '[2]':'[1,2]',
      }
    }
    app.$get(urlS[index - 1], data).then((res) => {
      var data = res.data.data.list;
      var list = that.data.list;
      data.forEach(element => {
        if (element.pt_id) {
          element.pt_name = app.getTypesItem(element.pt_id).name
        }
      });
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  activeItem(e) {
    var index = e.target.dataset.index;
    this.setData({ activeIndex: index, page: 1, list: [] })
    this.getData(index);
  },
  openDetail(e) {
    var id = e.target.dataset.item.id;
    var index = e.target.dataset.index;
    if (index == '1') {
      dd.navigateTo({
        url: '../prizeBuckleDetail/prizeBuckleDetail?id=' + id
      })
    } else if(index== '2') {
      dd.navigateTo({
        url: '../../workbench/approveDetail/approveDetail?id=' + id + '&is=' + true
      })
    }else{
      dd.navigateTo({
        url: '../../workbench/reviewDetail/reviewDetail?id=' + id +'&is=' + true
      })
    }
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(that.data.activeIndex, true);
    }
  },
});
