var app = getApp();
var that;
var AParse = require('../../../Component/aParse/aParse.js');
import 'dingtalk-jsapi/entry/mobile';
import openLink from 'dingtalk-jsapi/api/biz/util/openLink';
import moment from 'moment' // 时间库
var setTime;
Page({
  data: {
    obj: {},
    upData: {},
    nextData: {},
    stay_time: 0,
    background: 0,
    in_time:moment().format('YYYY-MM-DD HH:mm:ss'),
    iszx:false,
  },
  onLoad(e) {
    that = this;
    dd.setNavigationBar({ title: "使用指南" });
    if (e.id) {
      this.setData({
        id: Number(e.id),
        index: Number(e.index),
      })
    }
    let user = app.globalData.userData
    if(user.is_only_try_order&&user.id==user.company_info.creator_id){
      this.setData({
        iszx: true,
      })
      dd.onAppHide(this.onAppHideHandler)
      this.getTj();
    }
  },
  onUnload() { // 页面被关闭
    if(this.data.iszx){
      clearInterval(setTime);
      this.offAppHideHandler();
    }
  },
  getTj() {
    setTime = setInterval(() => {
      this.setData({
        stay_time: this.data.stay_time + 1,
      })
    }, 1000);
  },
    // 取消监听切换到后台方法
  offAppHideHandler() {
    app.$post("api/employee/statistical", { 
      page: 'pages/workbench/noticeDetailTow/noticeDetailTow',
      stay_time:that.data.stay_time,
      background:that.data.background,
      in_time:that.data.in_time
   }).then((res) => {})
    dd.offAppHide(that.onAppHideHandler)
  },
    // 监听切换到后台方法
  onAppHideHandler() {
    that.setData({
        background:1,
    })
  },
  onShow() {
    if (app.globalData.userData) {
      dd.hideLoading();
      that.getList(that.data.id);
      that.getAnnouncement()
    } else {
      app.login(app.globalData.corpId, function (is) {
        if (is) {
          dd.hideLoading();
          that.getList(that.data.id);
          that.getAnnouncement()
        } else {
          dd.reLaunch({
            url: '../../noJurisdiction/noJurisdiction'
          })
        }
      }, function () { })
    }
  },
  openUrl(e) {
    var index = e.target.dataset.index;
    if (index == '1') {
      openLink({
        url: `https://page.dingtalk.com/wow/dingtalk/act/serviceconversation?wh_biz=tm&showmenu=false&goodsCode=DT_GOODS_881607043109331&corpId=${app.globalData.corpId}&token=5784a3e6b5e025ee891517ea814180f4`
      })
    } else {
      dd.navigateTo({
        url: '../../deploy/webView/webView?index=5'
      })
    }
  },
  getAnnouncement() {
    app.$get("api/announcement/list", { type: 3 }).then((res) => {
      let list = res.data.data.list;
      this.setData({
        list: list,
        upData: list[this.data.index - 1] ? list[this.data.index - 1] : {},
        nextData: list[this.data.index + 1] ? list[this.data.index + 1] : {}
      })
    })
  },
  getData(e) {
    var id = e.target.dataset.id;
    if (!id) {
      return false;
    }
    this.data.list.forEach((item, index) => {
      if (item.id == id) {
        this.setData({
          upData: this.data.list[index - 1] ? this.data.list[index - 1] : {},
          nextData: this.data.list[index + 1] ? this.data.list[index + 1] : {}
        })
      }
    })
    this.getList(id)
  },
  getList(id) {
    /**
 * 使用说明：
* AParse.AParse(bindName , type, data, target,imagePadding)
* 1.bindName绑定的数据名(必填)
* 2.type可以为html或者md(必填)
* 3.data为传入的具体数据(必填)
* 4.target为Page对象,一般为this(必填)
* 5.imagePadding为当图片自适应是左右的单一padding(默认为0,可选)
*/
    app.$get("api/announcement/info", { announcement_id: id }).then((res) => {
      let data=res.data.data;
      data.focus=data.focus? data.focus:'';
      data.update_msg=data.update_msg? data.update_msg:'';
      AParse.aParse('article', 'html', data.focus + '<div style="height:20px"></div>' + data.update_msg, that, 5);
      this.setData({
        obj: data
      })
    })
  },
});
