
var app = getApp()
var that;
Page({
  data: {
    activeIndex: 1,
    page: 1,
    hall_type: 'waiting',
    list: [],
    userInfo: '',
  },
  onLoad() {
    that = this;
    dd.setNavigationBar({ title: "抢任务" });
    this.setData({
      userInfo: app.globalData.userData
    })
  },
  onShareAppMessage() {
    return {
      title: '抢任务',
      desc: '有新的抢单任务发布啦，大家快来抢！',
      path: 'pages/statistics/getTask/getTask'
    };
  },
  onShow() {
    if (app.globalData.userData) {
      if (that.data.page == 1) {
        dd.hideLoading();

        that.getData();
      }
    } else {
      app.login(app.globalData.corpId, function (is) {
        if (is) {
          if (that.data.page == 1) {
            dd.hideLoading();
            that.getData();
          }
          that.setData({
            userInfo: app.globalData.userData
          })
        } else {
          dd.reLaunch({
            url: '../../noJurisdiction/noJurisdiction'
          })
        }
      },function(){})
    }

  },
  getData(is) {
    if(this.data.activeIndex==3){
      this.getMyTask();
      return false
    }
    var data = {
      page: that.data.page,
      page_size: 20,
      hall_type: this.data.hall_type
    }
    app.$get('api/integral/task/hall', data).then((res) => {
      var data = res.data.data.list;
      var list = that.data.list;
      data.forEach(element => {
        if (element.pt_id) {
          element.pt_name = app.getTypesItem(element.pt_id).name
        }
      });
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  getMyTask(is) {
    var data = {
      status:'all',
      page:that.data.page,
      page_size:20,
      source_type:2,
      sort: 'publish',
      today: 0
    }
    app.$get('api/integral/work/list', data).then((res) => {
      var data = res.data.data.list;
      var list = that.data.list;
      data.forEach(element => {
        if (element.pt_id) {
          element.pt_name = app.getTypesItem(element.pt_id).name
        }
      });
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  activeItem(e) {
    var index = e.target.dataset.index;
    if(index==3){
      this.setData({
        activeIndex: index,
        page: 1,
        list: [],
      })
      this.getMyTask();
    }else{
      this.setData({
        activeIndex: index,
        page: 1,
        list: [],
        hall_type: index == 1 ? 'waiting' : 'catch'
      })
      this.getData();
    }
  },
  openDetail(e) {
    var id = e.target.dataset.item.id;
    dd.navigateTo({
      url: '../taskDetail/taskDetail?id=' + id
    })
  },
  openDetail2(e){
    var id = e.target.dataset.item.id;
    dd.navigateTo({
      url: '../workDetail/workDetail?id=' + id
    })
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      if(that.data.activeIndex==3){
        this.getMyTask(true);
      }else{
        this.getData(true);
      }
      
    }
  },
});
