
var app = getApp()
var that;
import moment from 'moment' // 时间库
Page({
  data: {
    activeIndex: 3,
    $moment:'',
    page: 1,
    isFig: false,
    isAllChecked:false,
  },
  onLoad(e) {
    if (e.index) {
      this.setData({
        activeIndex: e.index,
      })
    }
    let config=app.globalData.config;
    this.setData({
      config:  config.event_review_status==1&&config.event_apply_review==1,
      $moment:moment
    })
    that = this;
    dd.setNavigationBar({ title: "我申请的" });
  },
  onShow() {
    if (this.data.page == 1) {
      that.getData();
    }
  },
  ruleActiveAll(e){
    this.setData({page: 1, list: [],isAllChecked:e.detail.value })
    this.getData(that.data.activeIndex);
  },
  onReset() {
    this.setData({
      keyword: '',
      isVal: false,
      page: 1,
    })
    this.getData();
  },
  bindKeyInput(e) {
    this.setData({
      keyword: e.detail.value,
      page: 1,
      isVal: e.detail.value ? true : false
    })
    this.getData();
  },
  getData(is) {
    var activeIndex = that.data.activeIndex;
    var data = {
      page: that.data.page,
      pt_id: 0,
      page_size: 20,
      type: '',
      keyword: that.data.keyword
    }
    let url='api/integral/review/apply/list';
    if (activeIndex == 1) {
      data.type = "all"
      url='api/integral/statistics/event';
      data.dc_status=that.data.isAllChecked? '2':'1,2';
      delete data.pt_id
    } else if (activeIndex == 2) {
      data.type = "complete"
    } else if (activeIndex == 3) {
      data.type = "waiting"
    } else {
      data.type = "refuse"
    }
    app.$get(url, data).then((res) => {
      var data = res.data.data.list;
      if(activeIndex == 1){
        data=data.map(item=>{
          item.event_time=moment.unix(item.event_time).format('YYYY-MM-DD')
          return item;
        })
      }
      data.forEach(element => {
        if (element.pt_id) {
          element.pt_name = app.getTypesItem(element.pt_id).name
        }
      });
      var list = that.data.list;
      if (is) {
        if (data.length < 20) {
          this.setData({
            list: list.concat(data),
            isData: true
          })
        } else {
          this.setData({
            list: list.concat(data)
          })
        }
      } else {
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  activeItem(e) {
    var index = e.target.dataset.index;
    this.setData({ activeIndex: index, page: 1, list: [] })
    this.getData();
  },
  openDetail(e) {
    var id = e.target.dataset.item.id;
    var activeIndex = that.data.activeIndex;
    // console.log(activeIndex)
    if (activeIndex == 1) {
      dd.navigateTo({
        url: '../../workbench/reviewDetail/reviewDetail?id=' + id +'&is=' + true
      })
    }else{
      dd.navigateTo({
        url: '../../workbench/approveDetail/approveDetail?id=' + id + '&is=' + true
      })
    }
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(true);
    }
  },
});
