
var app = getApp()
var that;
var chart1;
import moment from 'moment' // 时间库
Page({
  data: {
    date: app.globalData.month,
    data_a: [],
    chartData: [],//折线图数据
    employee_id:0,
  },
  onLoad(e) {
    if(e.employee_id){
      this.setData({employee_id:e.employee_id})
      dd.setNavigationBar({ title: `${e.name}的A分统计` });
    }else{
      dd.setNavigationBar({ title: "我的A分统计" });
    }
    that = this;
  },
  //打开更多
  openMore() {
    dd.navigateTo({
      url: '../../statistics/integralEvent/integralEvent?month=' + this.data.date + '&type=AF'
    })
  },
  //则线图
  onInitChart(F2, config) {
    chart1 = new F2.Chart(config);
    chart1.source(that.data.chartData, {
      date: {
        range: [0, 1],
        tickCount: 5
      }
    });
    chart1.tooltip({
      showCrosshairs: true,
      showItemMarker: false,
      onShow: function onShow(ev) {
        const items = ev.items;
        items[0].name = "月份:" + items[0].origin.date;
        items[0].value = "分值:" + items[0].value;
      }
    });
    chart1.line().position('date*value');
    chart1.point().position('date*value').style({
      stroke: '#fff',
      lineWidth: 1
    });
    chart1.render();
    that.getIncidentLsit();
    return chart1;
  },

  openDate() {
    that.setData({ showDate: true });
    dd.datePicker({
      format: 'yyyy-MM',
      currentDate: that.data.date,
      success: (res) => {
        that.setData({
          date: res.date
        })
        if (res.date) {
          that.getIncidentLsit();
        }
      },
      complete: (res) => {
        that.setData({
          showDate: false
        })
      }
    });
  },
  //获取积分事件
  getIncidentLsit() {
    var http1 =  app.$get("api/integral/statistics/a", { employee_id: that.data.employee_id, month: that.data.date });
    var headDayBs = app.$get2("api/integral/statistics", { employee_id:  that.data.employee_id,month: that.data.date},'application/vnd.test.v3+json')//获取个人统计-当天B分 - V2
    var headDayBs2 = app.$get2("api/integral/statistics", { employee_id: that.data.employee_id,year:moment(that.data.date).format('YYYY')},'application/vnd.test.v3+json')//获取个人统计-当天B分 - V2
    Promise.all([http1,headDayBs,headDayBs2]).then(resArr => {
      if (resArr[0].data.code == 1) {
        const {chart, list } = resArr[0].data.data
        const points = chart.reward.map((rewardItem, index) => {
          return { date: rewardItem.month, value: rewardItem.point - (chart.deduction[index].point || 0) }
        })
        chart1.changeData(points);
        that.setData({
          dataList: list
        });
      }
      if (resArr[1].data.code == 1) {
        const data = resArr[1].data.data
        that.setData({
          data_a: data,
          monthStr:moment(that.data.date).format('M'),
        });
      }
      if (resArr[2].data.code == 1) {
        const data = resArr[2].data.data
        that.setData({
          data_year: data,
          year:moment(that.data.date).format('YYYY'),
        });
      }





    })
  },
});
